Skip to main content
GET
/
api
/
v1
/
organizations
/
{organizationID}
/
serviceaccounts
List service accounts
curl --request GET \
  --url https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/serviceaccounts \
  --header 'Authorization: Bearer <token>'
[
  {
    "metadata": {
      "id": "ee45f34b-9685-40d8-8724-23c31252ca46",
      "name": "my-service-account",
      "organizationId": "d4600d6e-e965-4b44-a808-84fb2fa36702",
      "creationTime": "2024-05-31T14:11:00Z",
      "provisioningStatus": "provisioned",
      "healthStatus": "healthy"
    },
    "spec": {
      "groupIDs": [
        "f2000047-19f8-426e-93b9-9f0a5bfa0edd"
      ]
    },
    "status": {
      "expiry": "2025-03-14T16:10:00Z"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.nscale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Operation requires OAuth 2.0 bearer token authentication.

Path Parameters

organizationID
string
required

An organization ID.

Response

A list of service accounts.

metadata
object
required

Metadata required by organization scoped resource reads.

spec
object
required

A service account specification.

status
object
required

A service account status.